Package ch.qos.logback.core.status

# Class StatusListenerAsList

java.lang.Object
ch.qos.logback.core.status.StatusListenerAsList

All Implemented Interfaces:
  `StatusListener`

public class StatusListenerAsList extends Object implements StatusListener
Collect all incoming events in a list.

Author:
  Ceki Gülcü

## Constructor Summary

Constructors
Constructor
Description
`StatusListenerAsList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStatusEvent(Status status)`
`List<Status>`
`getStatusList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusListenerAsList

public StatusListenerAsList()

## Method Details

### addStatusEvent

public void addStatusEvent(Status status)

Specified by:
  `addStatusEvent` in interface `StatusListener`

### getStatusList

public List<Status> getStatusList()